Package org.apache.synapse.transport.nhttp.debug

## Class AbstractConnectionDebug

- java.lang.Object
- - org.apache.synapse.transport.nhttp.debug.AbstractConnectionDebug

- Direct Known Subclasses:
    `ClientConnectionDebug`, `ServerConnectionDebug`

      public abstract class AbstractConnectionDebug
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected String` | `fieldSeparator` |
    `protected org.apache.http.Header[]` | `headers` |
    `protected String` | `keyValueSeparator` |
    `protected boolean` | `printAllHeaders` |
    `protected List<String>` | `printHeaderNames` |
    `protected boolean` | `printNoHeaders` |
    `protected String` | `statementSeparator` |

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `AbstractConnectionDebug()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `abstract String` | `dump()` |
    `protected String` | `format​(long ms)` |
    `protected StringBuffer` | `headersToString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### keyValueSeparator

          protected String keyValueSeparator

    - #### fieldSeparator

          protected String fieldSeparator

    - #### statementSeparator

          protected String statementSeparator

    - #### printAllHeaders

          protected boolean printAllHeaders

    - #### printNoHeaders

          protected boolean printNoHeaders

    - #### printHeaderNames

          protected List<String> printHeaderNames

    - #### headers

          protected org.apache.http.Header[] headers

  - ### Constructor Detail

    - #### AbstractConnectionDebug

          protected AbstractConnectionDebug()

  - ### Method Detail

    - #### format

          protected String format​(long ms)

    - #### dump

          public abstract String dump()

    - #### headersToString

          protected StringBuffer headersToString()